ru.bitel.bgbilling.modules.mps.server.bean

## Class Conf

- java.lang.Object
- - bitel.billing.server.util.Config
  - - ru.bitel.bgbilling.modules.mps.server.bean.Conf

-     public final class Conf
      extends bitel.billing.server.util.Config

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `Conf.MPSSystem`
    `static class` | `Conf.Protocol`
    `static class` | `Conf.SearchType`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `mpsLoginContains`
    `java.lang.String` | `mpsLoginFormat`
    `java.lang.String` | `mpsLoginFormatErrorMessage`
    `java.util.regex.Pattern` | `mpsLoginPattern`
    `java.util.Map<java.lang.String,Conf.MPSSystem>` | `mpsSystems`

    - ### Fields inherited from class bitel.billing.server.util.Config

      `log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Conf(int mid, ParameterMap setup, Setup serverSetup)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getMpsSystemRequestEncoding(java.lang.String mpsId)`
    `static void` | `main(java.lang.String[] args)`

    - ### Methods inherited from class bitel.billing.server.util.Config

      `intListToArray, longListToArray, patternListToArray, stringListToArray, toArray`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mpsSystems

          public final java.util.Map<java.lang.String,Conf.MPSSystem> mpsSystems

    - #### mpsLoginFormat

          public final java.lang.String mpsLoginFormat

    - #### mpsLoginPattern

          public final java.util.regex.Pattern mpsLoginPattern

    - #### mpsLoginFormatErrorMessage

          public final java.lang.String mpsLoginFormatErrorMessage

    - #### mpsLoginContains

          public final boolean mpsLoginContains

  - ### Constructor Detail

    - #### Conf

          public Conf(int mid,
                      ParameterMap setup,
                      Setup serverSetup)

  - ### Method Detail

    - #### getMpsSystemRequestEncoding

          public java.lang.String getMpsSystemRequestEncoding(java.lang.String mpsId)

    - #### main

          public static void main(java.lang.String[] args)